Subject: Announce: Parse-Yapp-0.30 released
From: Francois Desarmenien <[email-masked]>
Date: 6 Apr 1999 13:30:24 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Parse-Yapp-0.30 has just been uploaded to CPAN. It should be
available soon on your nearest CPAN mirror.

Aside of a major restructuration of the modules, this version
adds the source file line numbers embbeded in the parser module,
so finding compile time errors is easier.

The front-end script is now called yapp, instead of yapp.pl and
has a new pod in it, so there is now a yapp(1) man page. 

If you have ideas on how to improve Parse::Yapp, don't hesitate
to email me.

Enjoy,

François Désarménien

Here is the README file:
 
Parse::Yapp - Parse::Yapp  Yet Another Perl Parser compiler

Compiles yacc-like LALR grammars to generate Perl OO parser modules.

COPYRIGHT

(c) 1998-1999 Francois Desarmenien, all rights reserved.
(see the Copyright section in Yapp.pm for usage and distribution rights)

IMPORTANT NOTES

THIS IS BETA SOFTWARE.

Though it has been tested a lot, there are probably bugs in it ;-)

The BETA status does not reflect the quality of the code, but the possible
changes in the generated parser modules.

I need FEEDBACK for every problem or bug you could encounter so I can fix
them in the next release. Comments are welcome too.
But I also need FEEDBACK if you use it and have it work fine so I can step
to production releases. Just drop me a mail.

The Parse::Yapp pod section is the main documentation and it assumes
you already have a good knowledge of yacc. If not, I suggest the GNU
Bison manual which is a very good tutorial to LALR parsing and yacc's
grammar syntax.

The documentation is only a draft and should be rewritten (I think).
Any help on this issue would be very welcome.

DESCRIPTION

This is the alpha release 0.30 of the Parse::Yapp parser generator.

It lets you create Perl OO fully reentrant LALR(1) parser
modules (see the Yapp.pm pod pages for more details) and has
been designed to be functionnaly as close as possible to yacc,
but using the full power of Perl and opened for enhancements.

REQUIREMENTS

Requires perl5.004 or better :)

It is written only in Perl, with standard distribution modules,
so you don't need any compiler nor special modules.

INSTALLATION

perl Makefile.PL
make
make test
make install

WARRANTY

This software comes with absolutly NO WARRANTY of any kind. 
I just hope it can be useful.

FEEDBACK

Send feedback, comments and bug reports to:

Francois Desarmenien
[email-masked]